#include <bits/stdc++.h>
using namespace std;

int main() {
	long N;
	string s;
	bool letters[26];
	
	cin>>N;
	cin>>s;
	
	if(N<=26)
		cout<<0;
	else if(N==27) {
		bool exist=true; bool twice=false;
		for(int i=0; i<N; i++){
			letters[s[i]-65]=true;
			if(i>0&&s[i]==s[i-1])
				twice=true;
		}
			
		for(int i=0; i<26; i++)
			if(!letters[i])
				exist=false;
		if(!exist)
			cout<<0;
		else if(!twice)
			cout<<1;
		else
			cout<<2;
	}
	
	return 0;
}